:root {
    --primary: #4062e0;
    --primary-light: rgba(64, 98, 224, .1);
    --secondary: #ff5757;
    --red: #f12e6c;
    --yellow: #ffd02f;
    --grey: #81879c;
    --heading: 'Heebo', sans-serif;
    --body: 'Heebo', sans-serif;
    --text: #444;

    --spacing-lg: 40px;
    --spacing-sm: 15px;
}

* {
    box-sizing: border-box;
    font-family: var(--body)
}

body {
    color: var(--text);
    margin: 0;
}

h1, h2, h3, h4 {
    margin: 0;
    font-family: var(--heading);
}

h5, h6 {
    margin: 0;
}

p {
    margin-top: 0;
}

a {
    text-decoration: none;
    color: var(--primary);
}





hr {
    border: none;
    border-top: 1px solid #eee;
    margin: 20px 0;
}






button {
    transition: .3s;
}

button,
a.btn {
    padding: 8px 16px;
    min-width: 180px;
    cursor: pointer;
    border-radius: 3px;
    font-size: 1rem;
    text-transform: uppercase;
    font-weight: bold;
    font-size: .9rem;
}

button.primary,
a.primary {
    background: var(--primary);
    color: white;
    border: 1px solid var(--primary);
}
button.primary.reverse {
    background: transparent;
    color: var(--primary);
}
button.secondary,
a.secondary {
    background: var(--secondary);
    color: white;
    border: 1px solid var(--secondary);
}
button.secondary.reverse {
    background: transparent;
    color: var(--secondary);
}
button.loading {
    opacity: .7;
    cursor: auto;
    pointer-events: none;
}
button.reverse {
    font-size: .9rem;
}

button:focus {
    outline: none;
}

button.boxed {
    border-radius: 5px;
    padding: 12px;
    display: block;
    width: 100%;
    margin-bottom: 20px;
    font-weight: normal;
}

button.icon {
    border: none;
    background: transparent;
    padding: 0;
    display: inline-block;
    color: var(--primary);
    font-size: 1.2rem;
    min-width: unset;
    margin-left: 5px;
}

button.edit {
    min-width: unset;
    height: 40px;
    width: 40px;
    color: white;
    background: var(--primary);
    z-index: 3;
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.6rem;
    transition: .3s;
    border-radius: 50%;
}
button.edit:hover {
    transform: scale(1.1);
}

button.small,
a.small {
    padding: 4px 16px;
    min-width: 100px;
    font-size: .8rem;
}

button.with-icon,
a.with-icon {
    display: inline-flex;
    align-items: center;
    justify-content: space-between;
    padding: 2px 16px 2px 2px;
}
button.with-icon i,
a.with-icon i {
    font-size: 1.5rem;
    margin-right: 10px;
}

button.text-only,
a.text-only {
    min-width: unset;
    background: transparent;
    border: none;
    padding: 0;
    font-weight: bold;
    color: var(--primary);
    font-size: .8rem;
    text-transform: uppercase;
}

button.text-only i,
a.text-only i {
    font-size: .9rem;
}
button.text-only.danger {
    color: var(--red);
}

button.primary.disabled {
    background: #f1f1f1;
    color: #bbb;
    border-color: #f1f1f1;
    pointer-events: none;
    cursor: auto;
}

button.unliked:hover {
    color: var(--secondary);
}
button.unsaved:hover {
    color: var(--primary);
}







.container {
    width: 100%;
    max-width: 1100px;
    margin: 0 auto;
    padding: 0 8px;
}






.input-container {
    margin-bottom: 20px;
    position: relative;
}

label {
    margin-bottom: 3px;
    display: block;
    font-size: .8rem;
    font-weight: bold;
    text-transform: uppercase;
    color: var(--primary);
}

input,
select,
textarea {
    width: 100%;
    /* padding: 6px 12px; */
    transition: .3s;
    font-size: 1rem;
    border: none;
    max-width: 100%;
    /* border: 1px solid #eee;
    border-radius: 5px;
    box-shadow: inset 0 0 10px rgba(0,0,0,0.05); */
}

input:focus,
select:focus,
textarea:focus {
    outline: none;
    border-color: var(--primary);
}

.error input,
.error select,
.error textarea {
    border-color: var(--red);
}

.error-block {
    margin-top: -15px;
    font-size: .9rem;
    color: var(--red);
}






.unstyled-list {
    list-style: none;
    margin: 0;
    padding: 0;
}







.module {
    padding: 40px;
    box-shadow: 0 0 30px rgba(64, 98, 224, 0.05);
    border-radius: 5px;
    background: white;
    position: relative;
    margin-bottom: 40px;
}
.module.flat {
    padding: 0;
    box-shadow: none;
    background: transparent;
}
.module.thin {
    width: 100%;
    max-width: 800px;
    margin-left: auto;
    margin-right: auto;
}
.module-header {
    margin-bottom: 30px;
    color: var(--grey);
    text-transform: uppercase;
}

.module-header h2 {
    font-size: 1.3rem;
}

.module-header h4 {
    font-size: .9rem;
    color: var(--primary);
    width: 100%;
    border-bottom: 1px dashed #ddd;
    padding-bottom: 10px;
    text-align: center;
}

.centered {
    text-align: center;
}

/* .module-title {
    text-transform: uppercase;
    color: var(--primary);
} */







.sidebar-right {
    display: grid;
    grid-gap: 20px;
}

.sidebar-left {
    display: grid;
    grid-gap: 20px;
}

@media (min-width: 768px) {
    .sidebar-right {
        grid-template-columns: 1fr 300px;
        grid-gap: 60px;
    }
    .sidebar-left {
        grid-template-columns: 300px 1fr;
        grid-gap: 60px;
    }
    .sidebar-left.less-gap,
    .sidebar-right.less-gap {
        grid-gap: 30px;
    }
}






.edit-actions {
    text-align: right;
}

.edit-actions button + button {
    margin-left: 10px;
}





.data-list {
    display: flex;
    flex-wrap: wrap;
}

.data-list dt {
    width: 100px;
    margin-bottom: 10px;
    color: var(--primary);
}

.data-list dd {
    width: calc(100% - 100px);
    margin: 0;
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
}







.fade {
    visibility: hidden;
    opacity: 0;
}
.fade.show {
    visibility: visible;
    opacity: 1;
}

.slide {
    margin-top: -100px;
    visibility: hidden;
    opacity: 0;
    position: absolute;
}
.slide.down {
    margin-top: 0;
    visibility: visible;
    opacity: 1;
    position: static;
}

/* Remove animations for safari */
@supports not (-webkit-backdrop-filter: blur(1px)) {
    .fade {
        -webkit-transition: .15s;
        transition: .15s;
        /* visibility: hidden; */
    }
    .slide {
        -webkit-transition: .15s;
        transition: .15s;
        /* visibility: hidden; */
    }
}








.form-footer {
    text-align: right;
    margin-top: 20px;
}
.form-footer.with-return {
    text-align: unset;
    display: flex;
    align-items: flex-end;
}
.form-footer.with-return a {
    margin-right: auto;
}

.action-footer {
    margin-top: 30px;
}
.action-footer button + button {
    margin-left: 20px;
}








.status-tag {
    font-size: .75rem;
    text-transform: uppercase;
    padding: 2px 5px 0;
    border-radius: 3px;
    border: 1px solid var(--secondary);
    color: var(--secondary);
}

.status-tag + .status-tag {
    margin-left: 10px;
}




.input-title {
    font-size: 1.5rem;
    font-weight: bold;
}






.display-icon i {
    font-size: 6rem;
    color: #ddd;
}







.meta {
    text-transform: uppercase;
    font-size: .8rem;
    display: flex;
    justify-content: space-between;
}

.meta .info span {
    line-height: .7rem;
}

.meta .info span + span::before {
    content: '';
    border-left: 1px solid #ccc;
    margin-left: 10px;
    padding-left: 10px;
    display: inline-block;
    height: 12px;
    transform: translateY(2px);
}







.editor-area {
    padding: 40px;
    border: 2px dashed #eee;
    padding-top: 20px;
}







.sticky-actions {
    position: absolute;
    left: 100%;
}

.sticky-actions .action-block {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    overflow: hidden;
}

.sticky-actions .action-block + .action-block {
    margin-top: 20px;
}

.sticky-actions button {
    min-width: unset;
    width: 40px;
    height: 40px;
    border-radius: 0;
    font-size: 1.2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
}







.user-list {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
}

.user-icon {
    display: inline-block;
    position: relative;
    margin-right: 10px;
}

.user-icon a {
    display: inline-block;
}

.user-icon img {
    height: 40px;
    width: 40px;
    border-radius: 50%;
    object-fit: cover;
    display: inline-block;
    border: 4px solid #444;
    /* box-shadow: 2px 2px 3px rgba(0,0,0,0.2); */
}

.user-icon.small img {
    height: 40px;
    width: 40px;
}

.check-box {
    position: relative;
    font-size: .9rem;
    height: 20px;
    width: 20px;
    background: #f1f1f1;
    color: white;
    display: inline-flex;
    cursor: pointer;
    align-items: center;
    justify-content: center;
}

.check-box.checked {
    background: var(--primary);
}

.check-box.checked::after {
    font-family: 'Line Awesome Free';
    font-weight: 900;
    content: "\f00c";
}





.user-icon .check-box {
    position: absolute;
    top: -5px;
    right: -5px;
    border-radius: 50%;
    border: 2px solid #f1f1f1;
    transition: .3s;
}

.user-icon .check-box.checked {
    border-color: var(--primary);
}

.user-icon .check-box:hover {
    border-color: var(--primary);
}

.user-icon:hover .remove {
    display: inline-flex;
}

.user-icon .remove {
    display: none;
    width: 18px;
    height: 18px;
    min-width: unset;
    padding: 0;
    border: none;
    position: absolute;
    top: -5px;
    right: -5px;
    border-radius: 50%;
    background: var(--red);
    color: white;
    align-items: center;
    justify-content: center;
    font-size: .9rem;
}






.text-filter {
    border-bottom: 1px solid #eee;
    padding-bottom: 5px;
    margin-bottom: 40px;
}






.empty {
    text-align: center;
    color: #aaa;
    font-size: .9rem;
    min-height: 200px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.empty i {
    color: #ddd;
    display: block;
    font-size: 4rem;
    margin-bottom: 10px;
}






.action-display {
    min-height: 400px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.action-display i {
    font-size: 5rem;
    margin-bottom: 20px;
}

.action-display.success i {
    color: var(--primary);
}

.action-display.error i {
    color: var(--red);
}






.control-error {
    margin-top: -20px;
    font-size: .9rem;
}
